package cn.superdesk.uniorder.dubbo.provider.thirdpart.szhtxx.electronicInvoice;

import cn.superdesk.uniorder.common.numerical.AnBeanUtils;
import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxxXmxx;
import cn.superdesk.uniorder.dto.param.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxxXmxxParam;
import cn.superdesk.uniorder.dto.param.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxxXmxxQueryCriteria;
import cn.superdesk.uniorder.dubbo.facade.thirdpart.szhtxx.electronicInvoice.DubboSzhtxxElectronicInvoiceFptxxXmxxService;
import cn.superdesk.uniorder.service.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxxXmxxService;
import com.alibaba.dubbo.config.annotation.Service;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2022-01-24 11:50:43
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022-01-24 11:50:43
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Service(version = "1.0.0", retries = -1, timeout = 10000)
public class DubboSzhtxxElectronicInvoiceFptxxXmxxServiceImpl implements DubboSzhtxxElectronicInvoiceFptxxXmxxService {

    @Autowired
    private SzhtxxElectronicInvoiceFptxxXmxxService szhtxxElectronicInvoiceFptxxXmxxService;


    /****************************************** extends BaseService 部分 start ******************************************/

    @Override
    public int insertSelective(SzhtxxElectronicInvoiceFptxxXmxx entity) {

        return szhtxxElectronicInvoiceFptxxXmxxService.insertSelective(entity);

    }

    @Override
    public int updateByPrimaryKeySelective(SzhtxxElectronicInvoiceFptxxXmxx entity) {

        return szhtxxElectronicInvoiceFptxxXmxxService.updateByPrimaryKeySelective(entity);
    }

    @Override
    public void deleteObj(Long id) {
        szhtxxElectronicInvoiceFptxxXmxxService.deleteObj(id);
    }

    @Override
    public SzhtxxElectronicInvoiceFptxxXmxx findById(Long id) {
        return szhtxxElectronicInvoiceFptxxXmxxService.findById(id);
    }

    @Override
    public PageInfo<SzhtxxElectronicInvoiceFptxxXmxx> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize) {
        return szhtxxElectronicInvoiceFptxxXmxxService.findByPaging(conditions, pageNun, pageSize);
    }

    @Override
    public List<SzhtxxElectronicInvoiceFptxxXmxx> findAll(Map<String, Object> queryMap) {

        return szhtxxElectronicInvoiceFptxxXmxxService.findAll(queryMap);
    }

    /****************************************** extends BaseService 部分   end ******************************************/


    @Override
    public void addSzhtxxElectronicInvoiceFptxxXmxx(SzhtxxElectronicInvoiceFptxxXmxxParam param) {

        SzhtxxElectronicInvoiceFptxxXmxx szhtxxElectronicInvoiceFptxxXmxx = AnBeanUtils.copy(param, SzhtxxElectronicInvoiceFptxxXmxx.class);
        szhtxxElectronicInvoiceFptxxXmxxService.addSzhtxxElectronicInvoiceFptxxXmxx(szhtxxElectronicInvoiceFptxxXmxx);
    }

    @Override
    public void updateSzhtxxElectronicInvoiceFptxxXmxx(SzhtxxElectronicInvoiceFptxxXmxxParam param) {

        SzhtxxElectronicInvoiceFptxxXmxx szhtxxElectronicInvoiceFptxxXmxx = AnBeanUtils.copy(param, SzhtxxElectronicInvoiceFptxxXmxx.class);
        szhtxxElectronicInvoiceFptxxXmxxService.updateSzhtxxElectronicInvoiceFptxxXmxx(szhtxxElectronicInvoiceFptxxXmxx);
    }

    @Override
    public void deleteSzhtxxElectronicInvoiceFptxxXmxx(Long id) {
        szhtxxElectronicInvoiceFptxxXmxxService.deleteSzhtxxElectronicInvoiceFptxxXmxx(id);
    }

    @Override
    public SzhtxxElectronicInvoiceFptxxXmxx findSzhtxxElectronicInvoiceFptxxXmxxById(Long id) {
        return szhtxxElectronicInvoiceFptxxXmxxService.findSzhtxxElectronicInvoiceFptxxXmxxById(id);
    }

    @Override
    public R<List<SzhtxxElectronicInvoiceFptxxXmxx>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize) {
        return szhtxxElectronicInvoiceFptxxXmxxService.pageQuery(conditions, pageNun, pageSize);
    }

    @Override
    public R<List<SzhtxxElectronicInvoiceFptxxXmxx>> pageQueryGenericParam(SzhtxxElectronicInvoiceFptxxXmxxQueryCriteria criteria) {
        return szhtxxElectronicInvoiceFptxxXmxxService.pageQueryGenericParam(criteria);
    }
}
